Imports EgtWPFLib5
Imports EgtBEAMWALL.Core

Module Map

   Private m_refMainWindowVM As MainWindowVM
   Private m_refProjManagerVM As ProjManagerVM
   Private m_refProdManagerVM As ProdManagerVM
   Private m_refProjectVM As ProjectVM
   Private m_refMainMenuVM As MainMenuVM
   Private m_refLeftPanelVM As LeftPanelVM
   Private m_refBottomPanelVM As BottomPanelVM
   Private m_refShowBeamPanelVM As ShowBeamPanelVM
   Private m_refConfigurationPageVM As ConfigurationPageVM
   Private m_refRawPartListVM As RawPartListVM
   Private m_refPartInRawPartListVM As PartInRawPartListVM
   Private m_refWarehouseWndVM As WarehouseWndVM
   Private m_refFeatureListVM As FeatureListVM
   Private m_refFreeContourManagerVM As FreeContourManagerVM
   Private m_refFreeContourInputVM As FreeContourInputVM
   Private m_refPartManagerVM As PartManagerVM
   Private m_refInstrumentPanelVM As InstrumentPanelVM
   Private m_refTopPanelVM As TopPanelVM
   Private m_refOptimizePanelVM As OptimizePanelVM
   Private m_refCALCPanelVM As CALCPanelVM
   Private m_refPartListVM As BTLPartListVM
   Private m_refFeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM
   Private m_refStatisticsVM As StatisticsVM
   Private m_refPParameterListVM As PParameterListVM
   Private m_refQParameterListVM As QParameterListVM
   Private m_refFeatureManagerVM As FeatureManagerVM
   Private m_refAddSectionXMaterialWndVM As AddSectionXMaterialWndVM
   Private m_refStatisticsTimePanelVM As StatisticsTimePanelVM
   Private m_refPDFEditorVM As PDFEditorVM
   Private m_refOnlyProdManagerVM As OnlyProdManagerVM
   Private m_refBTLPartManagerVM As BTLPartManagerVM
   Private m_refRawPartManagerVM As RawPartManagerVM
   Private m_refPartInRawPartManagerVM As PartInRawPartManagerVM
   Private m_refFeatureListManagerVM As FeatureListManagerVM
   Private m_refProdProjManagerVM As ProdProjManagerVM
   Private m_refProjWndVM As ProjWndVM
   Private m_refSpecialPanelVM As SpecialPanelVM

#Region "Get"

   Public ReadOnly Property refMainWindowVM As MainWindowVM
      Get
         Return m_refMainWindowVM
      End Get
   End Property

   Public ReadOnly Property refMyStatusBarVM As MyStatusBarVM
      Get
         Return LibMap.refStatusBarVM
      End Get
   End Property

   Public ReadOnly Property refProjManagerVM As ProjManagerVM
      Get
         Return m_refProjManagerVM
      End Get
   End Property
   Public ReadOnly Property refProdManagerVM As ProdManagerVM
      Get
         Return m_refProdManagerVM
      End Get
   End Property

   Public ReadOnly Property refProjectVM As ProjectVM
      Get
         Return m_refProjectVM
      End Get
   End Property

   Public ReadOnly Property refSceneHostVM As SceneHostVM
      Get
         Return LibMap.refSceneHostVM
      End Get
   End Property

   Public ReadOnly Property refShowPanelVM As ShowPanelVM
      Get
         Return LibMap.refShowPanelVM
      End Get
   End Property

   Public ReadOnly Property refMainMenuVM As MainMenuVM
      Get
         Return m_refMainMenuVM
      End Get
   End Property

   Public ReadOnly Property refMachinePanelVM As MachinePanelVM
      Get
         Return CoreMap.refMachinePanelVM
      End Get
   End Property

   Public ReadOnly Property refLeftPanelVM As LeftPanelVM
      Get
         Return m_refLeftPanelVM
      End Get
   End Property

   Public ReadOnly Property refMachGroupPanelVM As MyMachGroupPanelVM
      Get
         Return CoreMap.refMachGroupPanelVM
      End Get
   End Property

   Public ReadOnly Property refBottomPanelVM As BottomPanelVM
      Get
         Return m_refBottomPanelVM
      End Get
   End Property

   Public ReadOnly Property refShowBeamPanelVM As ShowBeamPanelVM
      Get
         Return m_refShowBeamPanelVM
      End Get
   End Property

   Public ReadOnly Property refConfigurationPageVM As ConfigurationPageVM
      Get
         Return m_refConfigurationPageVM
      End Get
   End Property

   Public ReadOnly Property refRawPartListVM As RawPartListVM
      Get
         Return m_refRawPartListVM
      End Get
   End Property

   Public ReadOnly Property refPartInRawPartListVM As PartInRawPartListVM
      Get
         Return m_refPartInRawPartListVM
      End Get
   End Property

   Public ReadOnly Property refWarehouseWndVM As WarehouseWndVM
      Get
         Return m_refWarehouseWndVM
      End Get
   End Property

   Public ReadOnly Property refFeatureListVM As FeatureListVM
      Get
         Return m_refFeatureListVM
      End Get
   End Property

   Public ReadOnly Property refFreeContourManagerVM As FreeContourManagerVM
      Get
         Return m_refFreeContourManagerVM
      End Get
   End Property

   Public ReadOnly Property refFreeContourInputVM As FreeContourInputVM
      Get
         Return m_refFreeContourInputVM
      End Get
   End Property

   Public ReadOnly Property refPartManagerVM As PartManagerVM
      Get
         Return m_refPartManagerVM
      End Get
   End Property

   Public ReadOnly Property refInstrumentPanelVM As MyInstrumentPanelVM
      Get
         Return m_refInstrumentPanelVM
      End Get
   End Property

   Public ReadOnly Property refTopPanelVM As TopPanelVM
      Get
         Return m_refTopPanelVM
      End Get
   End Property

   Public ReadOnly Property refOptimizePanelVM As OptimizePanelVM
      Get
         Return m_refOptimizePanelVM
      End Get
   End Property

   Public ReadOnly Property refCALCPanelVM As CALCPanelVM
      Get
         Return m_refCALCPanelVM
      End Get
   End Property

   Public ReadOnly Property refPartListVM As BTLPartListVM
      Get
         Return m_refPartListVM
      End Get
   End Property

   Public ReadOnly Property refFeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM
      Get
         Return m_refFeatureInPartInRawPartListVM
      End Get
   End Property

   Public ReadOnly Property refStatisticsVM As StatisticsVM
      Get
         Return m_refStatisticsVM
      End Get
   End Property

   Public ReadOnly Property refPParameterListVM As PParameterListVM
      Get
         Return m_refPParameterListVM
      End Get
   End Property

   Public ReadOnly Property refQParameterListVM As QParameterListVM
      Get
         Return m_refQParameterListVM
      End Get
   End Property

   Public ReadOnly Property refFeatureManagerVM As FeatureManagerVM
      Get
         Return m_refFeatureManagerVM
      End Get
   End Property

   Public ReadOnly Property refAddSectionXMaterialWndVM As AddSectionXMaterialWndVM
      Get
         Return m_refAddSectionXMaterialWndVM
      End Get
   End Property

   Public ReadOnly Property refStatisticsTimePanelVM As StatisticsTimePanelVM
      Get
         Return m_refStatisticsTimePanelVM
      End Get
   End Property

   Public ReadOnly Property refPDFEditorVM As PDFEditorVM
      Get
         Return m_refPDFEditorVM
      End Get
   End Property

   Public ReadOnly Property refOnlyProdManagerVM As OnlyProdManagerVM
      Get
         Return m_refOnlyProdManagerVM
      End Get
   End Property

   Public ReadOnly Property refBTLPartManagerVM As BTLPartManagerVM
      Get
         Return m_refBTLPartManagerVM
      End Get
   End Property

   Public ReadOnly Property refRawPartManagerVM As RawPartManagerVM
      Get
         Return m_refRawPartManagerVM
      End Get
   End Property

   Public ReadOnly Property refPartInRawPartManagerVM As PartInRawPartManagerVM
      Get
         Return m_refPartInRawPartManagerVM
      End Get
   End Property

   Public ReadOnly Property refFeatureListManagerVM As FeatureListManagerVM
      Get
         Return m_refFeatureListManagerVM
      End Get
   End Property

   Public ReadOnly Property refProdProjManagerVM As ProdProjManagerVM
      Get
         Return m_refProdProjManagerVM
      End Get
   End Property

   Public ReadOnly Property refProjWndVM As ProjWndVM
      Get
         Return m_refProjWndVM
      End Get
   End Property

   Public ReadOnly Property refSpecialPanelVM As SpecialPanelVM
      Get
         Return m_refSpecialPanelVM
      End Get
   End Property

#End Region    ' Get

#Region "Set"

   Friend Function SetRefMyStatusBarVM(MyStatusBarVM As MyStatusBarVM) As Boolean
      LibMap.SetRefStatusBarVM(MyStatusBarVM)
      Return Not IsNothing(LibMap.refStatusBarVM)
   End Function

   Friend Function SetRefProjManagerVM(ProjManagerVM As ProjManagerVM) As Boolean
      m_refProjManagerVM = ProjManagerVM
      Return Not IsNothing(m_refProjManagerVM)
   End Function

   Friend Function SetRefProdManagerVM(ProdManagerVM As ProdManagerVM) As Boolean
      m_refProdManagerVM = ProdManagerVM
      Return Not IsNothing(m_refProdManagerVM)
   End Function

   Friend Function SetRefProjectVM(ProjectVM As ProjectVM) As Boolean
      m_refProjectVM = ProjectVM
      Return Not IsNothing(m_refProjectVM)
   End Function

   Friend Function SetRefMainMenuVM(MainMenuVM As MainMenuVM) As Boolean
      m_refMainMenuVM = MainMenuVM
      Return Not IsNothing(m_refMainMenuVM)
   End Function

   Friend Function SetRefSceneHostVM(SceneHostVM As SceneHostVM) As Boolean
      LibMap.SetRefSceneHostVM(SceneHostVM)
      Return Not IsNothing(LibMap.refSceneHostVM)
   End Function

   Friend Function SetRefShowPanelVM(ShowPanelVM As ShowPanelVM) As Boolean
      LibMap.SetRefShowPanelVM(ShowPanelVM)
      Return Not IsNothing(LibMap.refShowPanelVM)
   End Function

   Friend Function SetRefMachinePanelVM(MachinePanelVM As MachinePanelVM) As Boolean
      CoreMap.SetRefMachinePanelVM(MachinePanelVM)
      Return Not IsNothing(CoreMap.refMachinePanelVM)
   End Function

   Friend Function SetRefLeftPanelVM(LeftPanelVM As LeftPanelVM) As Boolean
      m_refLeftPanelVM = LeftPanelVM
      Return Not IsNothing(m_refLeftPanelVM)
   End Function

   Friend Function SetRefMachGroupPanelVM(MachGroupPanelVM As MyMachGroupPanelVM) As Boolean
      CoreMap.SetRefMachGroupPanelVM(MachGroupPanelVM)
      Return Not IsNothing(CoreMap.refMachGroupPanelVM)
   End Function

   Friend Function SetRefBottomPanelVM(BottomPanelVM As BottomPanelVM) As Boolean
      m_refBottomPanelVM = BottomPanelVM
      Return Not IsNothing(m_refBottomPanelVM)
   End Function

   Friend Function SetRefShowBeamPanelVM(ShowBeamPanelVM As ShowBeamPanelVM) As Boolean
      m_refShowBeamPanelVM = ShowBeamPanelVM
      Return Not IsNothing(m_refShowBeamPanelVM)
   End Function

   Friend Function SetRefConfigurationPageVM(ConfigurationPageVM As ConfigurationPageVM) As Boolean
      m_refConfigurationPageVM = ConfigurationPageVM
      Return Not IsNothing(m_refConfigurationPageVM)
   End Function

   Friend Function SetRefRawPartListVM(RawPartListVM As RawPartListVM) As Boolean
      m_refRawPartListVM = RawPartListVM
      Return Not IsNothing(m_refRawPartListVM)
   End Function

   Friend Function SetRefPartInRawPartListVM(PartInRawPartListVM As PartInRawPartListVM) As Boolean
      m_refPartInRawPartListVM = PartInRawPartListVM
      Return Not IsNothing(m_refPartInRawPartListVM)
   End Function

   Friend Function SetRefWarehouseWndVM(WarehouseWndVM As WarehouseWndVM) As Boolean
      m_refWarehouseWndVM = WarehouseWndVM
      Return Not IsNothing(m_refWarehouseWndVM)
   End Function

   Friend Function SetRefFeatureListVM(FeatureListVM As FeatureListVM) As Boolean
      m_refFeatureListVM = FeatureListVM
      Return Not IsNothing(m_refFeatureListVM)
   End Function

   Friend Function SetRefFreeContourManagerVM(FreeContourManagerVM As FreeContourManagerVM) As Boolean
      m_refFreeContourManagerVM = FreeContourManagerVM
      Return Not IsNothing(m_refFreeContourManagerVM)
   End Function

   Friend Function SetRefFreeContourInputVM(FreeContourInputVM As FreeContourInputVM) As Boolean
      m_refFreeContourInputVM = FreeContourInputVM
      Return Not IsNothing(m_refFreeContourInputVM)
   End Function

   Friend Function SetRefPartManagerVM(PartManagerVM As PartManagerVM) As Boolean
      m_refPartManagerVM = PartManagerVM
      Return Not IsNothing(m_refPartManagerVM)
   End Function

   Friend Function SetRefInstrumentPanelVM(InstrumentPanelVM As InstrumentPanelVM) As Boolean
      m_refInstrumentPanelVM = InstrumentPanelVM
      Return Not IsNothing(m_refInstrumentPanelVM)
   End Function

   Friend Function SetRefTopPanelVM(TopPanelVM As TopPanelVM) As Boolean
      m_refTopPanelVM = TopPanelVM
      Return Not IsNothing(m_refTopPanelVM)
   End Function

   Friend Function SetRefOptimizePanelVM(OptimizePanelVM As OptimizePanelVM) As Boolean
      m_refOptimizePanelVM = OptimizePanelVM
      Return Not IsNothing(m_refOptimizePanelVM)
   End Function

   Friend Function SetRefCALCPanelVM(CALCPanelVM As CALCPanelVM) As Boolean
      m_refCALCPanelVM = CALCPanelVM
      Return Not IsNothing(m_refCALCPanelVM)
   End Function

   Friend Function SetRefPartListVM(PartListVM As BTLPartListVM) As Boolean
      m_refPartListVM = PartListVM
      Return Not IsNothing(m_refPartListVM)
   End Function

   Friend Function SetRefFeatureInPartInRawPartListVM(FeatureInPartInRawPartListVM As FeatureInPartInRawPartListVM) As Boolean
      m_refFeatureInPartInRawPartListVM = FeatureInPartInRawPartListVM
      Return Not IsNothing(m_refFeatureInPartInRawPartListVM)
   End Function

   Friend Function SetRefStatisticsVM(StatisticsVM As StatisticsVM) As Boolean
      m_refStatisticsVM = StatisticsVM
      Return Not IsNothing(m_refStatisticsVM)
   End Function

   Friend Function SetRefPParameterListVM(PParameterListVM As PParameterListVM) As Boolean
      m_refPParameterListVM = PParameterListVM
      Return Not IsNothing(m_refPParameterListVM)
   End Function

   Friend Function SetRefQParameterListVM(QParameterListVM As QParameterListVM) As Boolean
      m_refQParameterListVM = QParameterListVM
      Return Not IsNothing(m_refQParameterListVM)
   End Function

   Friend Function SetRefFeatureManagerVM(FeatureManagerVM As FeatureManagerVM) As Boolean
      m_refFeatureManagerVM = FeatureManagerVM
      Return Not IsNothing(m_refFeatureManagerVM)
   End Function

   Friend Function SetRefAddSectionXMaterialWndVM(AddSectionXMaterialWndVM As AddSectionXMaterialWndVM) As Boolean
      m_refAddSectionXMaterialWndVM = AddSectionXMaterialWndVM
      Return Not IsNothing(m_refAddSectionXMaterialWndVM)
   End Function

   Friend Function SetRefStatisticsTimePanelVM(StatisticsTimePanelVM As StatisticsTimePanelVM) As Boolean
      m_refStatisticsTimePanelVM = StatisticsTimePanelVM
      Return Not IsNothing(m_refStatisticsTimePanelVM)
   End Function

   Friend Function SetRefPDFEditorVM(PDFEditorVM As PDFEditorVM) As Boolean
      m_refPDFEditorVM = PDFEditorVM
      Return Not IsNothing(m_refPDFEditorVM)
   End Function

   Friend Function SetRefOnlyProdManagerVM(OnlyProdManagerVM As OnlyProdManagerVM) As Boolean
      m_refOnlyProdManagerVM = OnlyProdManagerVM
      Return Not IsNothing(m_refOnlyProdManagerVM)
   End Function

   Friend Function SetRefBTLPartManagerVM(BTLPartManagerVM As BTLPartManagerVM) As Boolean
      m_refBTLPartManagerVM = BTLPartManagerVM
      Return Not IsNothing(m_refBTLPartManagerVM)
   End Function

   Friend Function SetRefRawPartManagerVM(RawPartManagerVM As RawPartManagerVM) As Boolean
      m_refRawPartManagerVM = RawPartManagerVM
      Return Not IsNothing(m_refRawPartManagerVM)
   End Function

   Friend Function SetRefPartInRawPartManagerVM(PartInRawPartManagerVM As PartInRawPartManagerVM) As Boolean
      m_refPartInRawPartManagerVM = PartInRawPartManagerVM
      Return Not IsNothing(m_refPartInRawPartManagerVM)
   End Function

   Friend Function SetRefFeatureListManagerVM(FeatureListManagerVM As FeatureListManagerVM) As Boolean
      m_refFeatureListManagerVM = FeatureListManagerVM
      Return Not IsNothing(m_refFeatureListManagerVM)
   End Function

   Friend Function SetRefProdProjManagerVM(ProdProjManagerVM As ProdProjManagerVM) As Boolean
      m_refProdProjManagerVM = ProdProjManagerVM
      Return Not IsNothing(m_refProdProjManagerVM)
   End Function

   Friend Function SetRefProjWndVM(ProjWndVM As ProjWndVM) As Boolean
      m_refProjWndVM = ProjWndVM
      Return Not IsNothing(m_refProjWndVM)
   End Function

   Friend Function SetRefSpecialPanelVM(SpecialPanelVM As SpecialPanelVM) As Boolean
      m_refSpecialPanelVM = SpecialPanelVM
      Return Not IsNothing(m_refSpecialPanelVM)
   End Function

#End Region    ' Set

#Region "Init"

   Friend Function BeginInit(MainWindowVM As MainWindowVM) As Boolean
      m_refMainWindowVM = MainWindowVM
      Return Not IsNothing(m_refMainWindowVM)
   End Function
   Friend Function EndInit() As Boolean
      Return Not IsNothing(m_refMainWindowVM) AndAlso Not IsNothing(m_refMainMenuVM) AndAlso
             Not IsNothing(LibMap.refStatusBarVM) AndAlso Not IsNothing(m_refProjManagerVM) AndAlso
             Not IsNothing(m_refProdManagerVM) AndAlso Not IsNothing(m_refConfigurationPageVM) AndAlso
             Not IsNothing(LibMap.refSceneHostVM) AndAlso Not IsNothing(LibMap.refShowPanelVM) AndAlso
             Not IsNothing(CoreMap.refMachinePanelVM) AndAlso Not IsNothing(LibMap.refMachGroupPanelVM) AndAlso
             Not IsNothing(m_refRawPartListVM) AndAlso Not IsNothing(m_refWarehouseWndVM) AndAlso
             Not IsNothing(m_refFeatureListVM) AndAlso Not IsNothing(m_refPartInRawPartListVM) AndAlso
             Not IsNothing(m_refFreeContourManagerVM) AndAlso Not IsNothing(m_refFreeContourInputVM) AndAlso
             Not IsNothing(m_refInstrumentPanelVM) AndAlso Not IsNothing(m_refTopPanelVM) AndAlso
             Not IsNothing(m_refPartManagerVM) AndAlso Not IsNothing(m_refOptimizePanelVM) AndAlso
             Not IsNothing(m_refShowBeamPanelVM) AndAlso Not IsNothing(m_refCALCPanelVM) AndAlso
             Not IsNothing(m_refPartListVM) AndAlso Not IsNothing(m_refFeatureInPartInRawPartListVM) AndAlso
             Not IsNothing(m_refStatisticsVM) AndAlso Not IsNothing(m_refPParameterListVM) AndAlso
             Not IsNothing(m_refQParameterListVM) AndAlso Not IsNothing(m_refFeatureManagerVM) AndAlso
             Not IsNothing(m_refAddSectionXMaterialWndVM) AndAlso Not IsNothing(m_refStatisticsTimePanelVM) AndAlso
             Not IsNothing(m_refPDFEditorVM) AndAlso Not IsNothing(m_refSpecialPanelVM) AndAlso
             Not IsNothing(m_refOnlyProdManagerVM) AndAlso Not IsNothing(m_refBTLPartManagerVM) AndAlso
             Not IsNothing(m_refRawPartManagerVM) AndAlso Not IsNothing(m_refPartInRawPartManagerVM) AndAlso
             Not IsNothing(m_refFeatureListManagerVM) AndAlso Not IsNothing(m_refProdProjManagerVM) AndAlso
             Not IsNothing(m_refProjWndVM) AndAlso Not IsNothing(m_refSpecialPanelVM) AndAlso LibMap.EndInit()
   End Function

#End Region    ' Init

End Module
